
APTrack = {}

APTrack.default = {	OffsetX = 1000 , OffsetY = 1300 }

APTrack.APatStart = 0
APTrack.Gain = 0

APTrack.APLogger = "APLogger"

-------------------------------------------------------------------------------------------------
--  Initialize Function --
-------------------------------------------------------------------------------------------------

function APTrack.OnAddOnLoaded(event, addonName)
   if addonName ~= APTrack.APLogger then return end
 
	APTrack:Initialize()
end

function APTrack:Initialize()

	APTrack.savedVariables = ZO_SavedVars:New("APLoggerSettings", 1, nil, APTrack.default)

	APTrackWindow:ClearAnchors()
	APTrackWindow:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, APTrack.savedVariables.OffsetX, APTrack.savedVariables.OffsetY)
	
	EVENT_MANAGER:UnregisterForEvent(APTrack.APLogger, EVENT_ADD_ON_LOADED)
end

EVENT_MANAGER:RegisterForEvent("APTrack.APLogger", EVENT_ADD_ON_LOADED, APTrack.OnAddOnLoaded)


--Capture and save the position of the window in the Gui
function APTrack.SaveLoc()
	APTrack.savedVariables.OffsetX = APTrackWindow:GetLeft()
	APTrack.savedVariables.OffsetY = APTrackWindow:GetTop()
	
end

-------------------------------------------------------------------------------------------------
-- AP Tracking function --
-------------------------------------------------------------------------------------------------

function APTrack.log (eventCode, alliancePoints, playSound, difference)
		
	if APTrack.APatStart == 0 then APTrack.APatStart = GetAlliancePoints() end
				
	if math.abs(difference) > 0 then
		if APTrack.Gain == 0 then APTrack.Gain = difference
		else APTrack.Gain = APTrack.Gain + difference end
	end

	APTrack.TotalAP = APTrack.APatStart + APTrack.Gain

	--Format and post session stats to the chat window
	local Start = string.format("%d", math.floor(APTrack.APatStart))
	local APGain = string.format("%d", math.floor(APTrack.Gain))
	local APSession = string.format("%d", math.floor(APTrack.TotalAP))
	local APTick = string.format("%d", math.floor(difference))
	
	--For Big Ticks
	if difference > 1000 then 
		APTrack.Bigtick = Bigtick

	--Post to Chat window
		d("BIG TICK")

	--Post to Gui
		APTrackWindowBigTickLabel:SetHidden(Bigtick)
		else APTrackWindowBigTickLabel:SetHidden(not Bigtick)
	 end 
			
	if math.abs(difference) > 10 then 		
--		d("AP Tick: " .. APTick .. " AP for Session: " .. APGain) 
	
--Output to the Gui
	APTrackWindowTickLabel:SetText(string.format("AP Tick: (%d) AP For Session: (%d)", APTick, APGain))
		
	end

end

EVENT_MANAGER:RegisterForEvent(APTrack.APLogger, EVENT_ALLIANCE_POINT_UPDATE, APTrack.log)	
 


